
import random
import plotly.express as px
import pandas as pd

def generate_random_plot(dataframe):
    """
    Generate a random plot from a dataframe using Plotly Express.
    """
    # Select a random type of plot
    plot_types = ['bar', 'line', 'scatter', 'histogram', 'pie', 'area']
    selected_plot_type = random.choice(plot_types)
    
    # Select a random dataframe column to use for the plot
    columns = dataframe.columns
    x_column = random.choice(columns)
    y_column = random.choice(columns)
    
    # Generate the plot based on the selected type and columns
    fig = px[selected_plot_type](dataframe, x=x_column, y=y_column)
    
    # Show the plot
    fig.show()

# Example usage:
# dataframe = pd.DataFrame({
#     'Category': ['A', 'B', 'C', 'D'],
#     'Values': [10, 20, 30, 40]
# })
# generate_random_plot(dataframe)


